#include <iostream>
#include <cstdint>

using namespace std;

bool smaller(int x);

int find_number(int MAX) {
    for (uint32_t i = 1; i <= MAX; i++) {
        if (smaller(i)) {
            return i - 1;
        }
    }
}